<?php
//
$SYS_FOC="Nom";
//77777777777777777777777
$Nom=VU($_POST['Nom']);
$Abr=VU($_POST['Abr']);
$Fac=VU($_POST['Fac']);
//
$LIMPIAR=0;
//--------------------------------------------------------------------------
PID($StrId,V($_GET['Id']),$StrCmd,$LStrPag,V($_GET['Pag']));
//--------------------------------------------------------------------------
if(strlen($StrId)>0 && $StrCmd=="AR"){
	$Id=$StrId;
	$r=gr("ges_unidades","id_und=$Id");
	$Nom=$r['und_nom'];
	$Abr=$r['und_abr'];
	$Fac=$r['und_factor'];
}
//
if($StrCmd=="L"){
	$LIMPIAR=1;
}	
//
if($StrCmd=="G" || $StrCmd=="M"){
	$Fac_=vbval($Fac);
}
//
if($StrCmd=="G"){	
	if(strlen($Nom)>0){
		if(gn("count(*)","ges_unidades","und_nom='$Nom' AND id_und>0")>0){
			$SYS_MSG="Nombre ya registrado";
			$OK=0;
		}
	}
	if($OK==1){
		if(strlen($Abr)>0){
			if(gn("count(*)","ges_unidades","und_abr='$Abr' AND id_und>0")>0){
				$SYS_MSG="Abreviatura ya registrado";
				$OK=0;
			}
		}
	}
	if($OK==1){
		$Id=GenId("id_und","ges_unidades");
		$s="INSERT INTO ges_unidades VALUES ($Id,'$Nom','$Abr',$Fac_)";
		ejt($s);		
		//BIT
		$_BIT_MOD_ID=$Id;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="ges_unidades.php";
		$_BIT_ID=BIT_ADD("PROCESOS","UNIDADES DE MEDIDA","GUARDAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT					
		$SYS_MSG="Datos registrados";
		$LIMPIAR=1;
	}
}
//+++
if($StrCmd=="M"){
	if(strlen($Nom)>0){
		if(gn("count(*)","ges_unidades","und_nom='$Nom' AND id_und<>$StrId")>0){
			$SYS_MSG="Nombre ya registrado";
			$OK=0;
		}
	}
	if($OK==1){
		if(strlen($Abr)>0){
			if(gn("count(*)","ges_unidades","und_abr='$Abr' AND id_und<>$StrId")>0){
				$SYS_MSG="Abreviatura ya registrado";
				$OK=0;
			}
		}
	}
	if($OK==1){
		$s="UPDATE ges_unidades 
			SET 
			und_nom='$Nom',
			und_abr='$Abr',
			und_factor=$Fac_ WHERE id_und=$StrId";
		ejt($s);		
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="ges_unidades.php";
		$_BIT_ID=BIT_ADD("PROCESOS","UNIDADES DE MEDIDA","MODIFICAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT				
		$SYS_MSG="Datos registrados";
		$LIMPIAR=1;
	}
}
//+++
if($StrCmd=="E"){
	if(gn("count(*)","ges_invoice_det","dt_id_und=$StrId")>0){
		$SYS_MSG="La unidad esta relacionada a uno o mas invoice";
		$OK=0;
	}		
	if($OK==1){
		$CX=gn("count(*)","ges_productos","pro_id_und=$StrId");
		if($CX>0){
			$SYS_MSG="La unidad esta relacionada a uno o mas productos";
			$OK=0;
		}
	}
	if($OK==1){
		$CX=gn("count(*)","ges_productos_referencias","xls_pro_id_und=$StrId");
		if($CX>0){
			$SYS_MSG="La unidad esta relacionada a uno o mas productos/referencias";
			$OK=0;
		}
	}
	if($OK==1){
		$s="DELETE FROM ges_unidades WHERE id_und=$StrId";
		ejt($s);
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="ges_unidades.php";
		$_BIT_ID=BIT_ADD("PROCESOS","UNIDADES DE MEDIDA","ELIMINAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT	
		$SYS_MSG="Datos eliminados";
		$LIMPIAR=1;	
	}
}
//
if($LIMPIAR==1){
	$StrId="";
	$Nom="";
	$Abr="";
	$Fac="";
}
?>
